package com.unisys.tibcojboss.client;

import java.util.Properties;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageProducer;
import javax.jms.QueueConnectionFactory;
import javax.jms.Session;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
/**
 * 
 */
public class SampleClient {
 
   long timestamp;
   ConnectionFactory connectionFactory;
   Destination queue;
   Connection connection;
   Session session;
   MessageProducer producer;
   /**
    * 
    * @param args
    * @throws Exception
    */
   public static void main(String[] args) throws Exception {
      new SampleClient().sendMyMessage();
   }
   /**
    * 
    * @throws NamingException
    * @throws JMSException
    */
   public void sendMyMessage()throws NamingException, JMSException {
	   System.out.println("SampleClient Starting to send message");
	   Properties propert = new Properties();
	   propert.setProperty("java.naming.factory.initial", "com.tibco.tibjms.naming.TibjmsInitialContextFactory");
	   propert.setProperty(Context.PROVIDER_URL, "tcp://localhost:7222");
	   InitialContext ic = new InitialContext(propert);

	   QueueConnectionFactory cf = (QueueConnectionFactory)ic.lookup("QueueConnectionFactory");
	   Destination queue = (Destination)ic.lookup("queue/testQueue");
	   Destination replyToQueue = (Destination)ic.lookup("queue/A");

	   Connection conn = cf.createConnection();
	   conn.start();

	   Session session = conn.createSession(false, Session.AUTO_ACKNOWLEDGE);
	   MessageProducer producer = session.createProducer(queue);
	   
	   Message message = session.createTextMessage("Hello Tibco");
	   message.setJMSReplyTo(replyToQueue);
	   producer.send(message); 
	   System.out.println("SampleClient Ended to send message");
   }
}
